font.h File Reference

monospace pixel fonts collection (API) More...

Go to the source code of this file.

## Data Structures

struct | font_s
| font structure containing all properties More...

## Macros

#define | FONT_GLYPH_NUMBERS 95
| number of available glyphs (starting with ' ' and ending with '~')

## Enumerations

enum | font_name { FONT_KING8, FONT_KING10, FONT_KING14, FONT_MAX }
| list of available font names More...

## Variables

const struct font_s | fonts [FONT_MAX]
| list of all available fonts

## Detailed Description

monospace pixel fonts collection (API)

Author
  King Kévin kingk.nosp@m.evin.nosp@m.@cuvo.nosp@m.odoo.nosp@m..info

Date
  2018

Definition in file font.h.

## Enumeration Type Documentation

## font_name

enum font_name

list of available font names

Enumerator
FONT_KING8 | custom 8x5 monospace font
FONT_KING10 | custom 10x6 monospace font
FONT_KING14 | custom 14x9 monospace font
FONT_MAX | number of fonts available

Definition at line 23 of file font.h.